Name:		semsg-plugins
Version:	1.3.2
Release:	1%{?dist}
Summary:	Plugins implementing the storage and catalog synchronization
Group:		Applications/Internet
License:	ASL 2.0
URL:		http://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the following 
# commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/semsg/tags/v1.3.1 semsg-1.3.1
# tar -czvf semsg-plugins-1.3.1.tar.gz semsg-plugins-1.3.1
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	activemq-cpp-library
BuildRequires:	apr-devel%{?_isa}
BuildRequires:	apr-util-devel%{?_isa}
BuildRequires:	cmake%{?_isa}
BuildRequires:	dpm-devel%{?_isa}
BuildRequires:	lfc-devel%{?_isa}
%if %{?rhel}%{!?rhel:0} == 5
BuildRequires:	e2fsprogs-devel
%else
BuildRequires:	libuuid-devel
%endif
BuildRequires:	openssl-devel
BuildRequires:	python-devel%{?_isa}
BuildRequires:	semsg-devel%{?_isa}

Requires:	semsg-libs%{?_isa} = %{version}-%{release}

%description
The semsg package provides a set of plugins for different components making
use of the storage / catalog synchronization.

%package lcgdm 
Summary:        Provides the semsg plugin to integrate with DPM and LFC nodes 
Group:          Applications/Internet 
Requires:       semsg-libs%{?_isa} = %{version}-%{release} 
 
%description lcgdm 
The semsg-plugins-lcgdm package provides all the required plugins to use the 
catalog synchronization functionality between DPM and LFC instances. 
 
%package py 
Summary:        Provides the python plugin to the msg synchronization 
Group:          Applications/Internet 
Requires:       semsg-libs%{?_isa} = %{version}-%{release} 
 
%description py 
The semsg-plugins-py26 package provides the python plugin to use with 
the catalog synchronization functionality. 
The semsg-devel package provides the development headers and libraries to
for the semsg set of tools.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
cd build
%cmake ../ \
	-DCMAKE_INSTALL_PREFIX=${_prefix}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

cd build
make install DESTDIR=%{buildroot}

# remove files already taken by the semsg packages
rm -rf %{buildroot}/%{_bindir}/SEMsg_*
rm -rf %{buildroot}/%{_libdir}/libSEMsgConnector*
rm -rf %{buildroot}/%{_includedir}/*
rm -rf %{buildroot}/%{_sbindir}/SEMsgdaemon
rm -rf %{buildroot}/%{_initrddir}/SEMsgdaemon
rm -rf %{buildroot}/%{_sysconfdir}/sysconfig/SEMsgdaemon

%clean
rm -rf %{buildroot}

%post lcgdm -p /sbin/ldconfig 
 
%postun lcgdm -p /sbin/ldconfig 
 
%post py -p /sbin/ldconfig 
 
%postun py -p /sbin/ldconfig 

%files lcgdm 
%defattr(-,root,root,-) 
%{_sysconfdir}/SEMsgConfig_dpmhead.cf.tmpl 
%{_sysconfdir}/SEMsgConfig_dpmnode.cf.tmpl 
%{_sysconfdir}/SEMsgConfig_lfc.cf.tmpl 
%{_libdir}/libSEMsgConsumer_dpm.so* 
%{_libdir}/libSEMsgProducer_dpm.so* 
%{_libdir}/libSEMsgConsumer_lfc.so* 
%{_libdir}/libSEMsgProducer_lfc.so* 
 
%files py 
%defattr(-,root,root,-) 
%{_sysconfdir}/SEMsgConfig_pyintf.cf.tmpl 
%{_libdir}/libSEMsgConsumer_pyintf*.so* 

%changelog
* Tue May 15 2012 Fabrizio Furano <fabrizio.furano@cern.ch> - 1.3.2-1
- Bump version to 1.3.2
* Wed Apr 11 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 1.3.1-1
- Updated for new upstream release
* Tue Nov 29 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 1.3.0-1
- Initial build
